Loading...
Searching...
No Matches
unity::shell::scopes::SettingsModelInterface Class Referenceabstract
Inheritance diagram for unity::shell::scopes::SettingsModelInterface:
[legend]
Collaboration diagram for unity::shell::scopes::SettingsModelInterface:
[legend]

## Public Types

enum | Roles { RoleSettingId , RoleDisplayName , RoleType , RoleProperties , RoleValue }
| The roles supported by this model.

## Public Member Functions

virtual int | count () const =0

## Properties

int | count
| Integer representing the number of setting elements in the model.

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/SettingsModelInterface.h